using ProjectManagementSystem.Common.Core;
using ProjectManagementSystem.Common.Logger;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectManagementSystem.UI
{
    public partial class DebugCallBoxUI : UserControl,IDisplayUI
    {
        public DebugCallBoxUI()
        {
            InitializeComponent();
        }

        public bool Init()
        {
            dataGridUI1.dataGridView1.CellClick += DataGridView1_CellClick;
            return true;
        }

        private void DataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            textBox1.Text = dataGridUI1.GetCurrentColValue("Route");
        }

        public void UpdateDisplay()
        {
            if (!this.Visible) return;

            var dataList = DeviceControl.Instance.Communication.InfoBoxDictionary.Values.ToList();
            dataGridUI1.ShowDataGrid(dataList);
        }



        private void button1_Click(object sender, EventArgs e)
        {
            CallBoxOpereate(DeviceControl.Instance.CallBoxQuery);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            CallBoxOpereate(DeviceControl.Instance.CallBoxLightOff);
        }

        private void CallBoxOpereate(Action<int> action)
        {
            try
            {
                int deviceId = int.Parse(textBox1.Text);

                action(deviceId);
            }
            catch (Exception ex)
            {
                CLog.Instance.SystemLog.WriteException("UI", ex);
                MessageBox.Show(ex.Message, "提示", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
